public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Joonas Niilola" <juippis@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/texttable/
Date: Mon, 13 Jul 2020 07:16:16 +0000 (UTC)	[thread overview]
Message-ID: <1594624560.d8b385de7b770d2ddbece439b49ddfa344676e71.juippis@gentoo> (raw)

commit:     d8b385de7b770d2ddbece439b49ddfa344676e71
Author:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
AuthorDate: Mon Jul 13 07:15:29 2020 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Mon Jul 13 07:16:00 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d8b385de

dev-python/texttable: python3.9, use d_e_t, use optfeature, clean file

Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 dev-python/texttable/texttable-1.6.2-r1.ebuild | 29 ++++++++++++++++++++++++++
 1 file changed, 29 insertions(+)

diff --git a/dev-python/texttable/texttable-1.6.2-r1.ebuild b/dev-python/texttable/texttable-1.6.2-r1.ebuild
new file mode 100644
index 00000000000..ca525083381
--- /dev/null
+++ b/dev-python/texttable/texttable-1.6.2-r1.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6..9} )
+
+inherit distutils-r1 eutils
+
+DESCRIPTION="Module for creating simple ASCII tables"
+HOMEPAGE="https://github.com/foutaise/texttable https://pypi.org/project/texttable/"
+SRC_URI="https://github.com/foutaise/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="dev-python/wcwidth[${PYTHON_USEDEP}]"
+
+distutils_enable_tests pytest
+
+python_test() {
+	pytest -vv tests.py || die
+}
+
+pkg_postinst() {
+	elog "Optional features: "
+	optfeature "better wrapping of CJK text" dev-python/cjkwrap
+}


             reply	other threads:[~2020-07-13  7:16 UTC|newest]

Thread overview: 63+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-07-13  7:16 Joonas Niilola [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-05-18 16:32 [gentoo-commits] repo/gentoo:master commit in: dev-python/texttable/ Michał Górny
2023-11-05 20:58 Michał Górny
2023-11-05 19:17 Arthur Zamarin
2023-10-04  6:06 Joonas Niilola
2023-10-04  5:51 Michał Górny
2023-06-01 14:50 Michał Górny
2022-12-25 17:53 Michał Górny
2022-12-25 16:45 Sam James
2022-11-24  8:10 Joonas Niilola
2022-11-23  8:03 Michał Górny
2022-11-21  6:52 Joonas Niilola
2022-06-16  5:51 Joonas Niilola
2022-06-16  5:51 Joonas Niilola
2022-05-16 18:58 Arthur Zamarin
2022-05-16 18:58 Arthur Zamarin
2021-08-14  8:06 Joonas Niilola
2021-08-14  8:06 Joonas Niilola
2021-07-14  5:00 Joonas Niilola
2021-05-11  8:47 Joonas Niilola
2021-03-11 11:41 Joonas Niilola
2020-11-04  5:32 Sam James
2020-10-08  6:25 Joonas Niilola
2020-10-08  6:25 Joonas Niilola
2020-10-08  6:25 Joonas Niilola
2020-09-08  6:25 Joonas Niilola
2020-09-05  0:29 Sam James
2020-08-12 13:03 Joonas Niilola
2020-08-12 13:03 Joonas Niilola
2020-08-12 13:03 Joonas Niilola
2020-03-19 18:44 Michał Górny
2020-01-08 12:54 Joonas Niilola
2020-01-07 17:47 Joonas Niilola
2020-01-07 17:47 Joonas Niilola
2020-01-07 17:47 Joonas Niilola
2020-01-07 17:47 Joonas Niilola
2019-07-31  3:41 Joonas Niilola
2019-07-16 15:39 Michał Górny
2019-07-16 15:39 Michał Górny
2019-02-18 19:41 Patrice Clement
2019-02-18 19:41 Patrice Clement
2019-02-08 15:52 Mikle Kolyada
2019-01-21 22:51 Patrice Clement
2019-01-21 22:51 Patrice Clement
2018-11-03 22:59 Patrice Clement
2018-11-03 22:59 Patrice Clement
2018-09-27 21:25 Patrice Clement
2018-08-22 21:52 Michał Górny
2018-07-05 21:51 Patrice Clement
2018-07-05 21:51 Patrice Clement
2018-06-13 18:42 Michał Górny
2018-06-13 18:42 Michał Górny
2018-06-02 18:40 Michał Górny
2018-03-30 18:35 Aaron Bauman
2018-03-10 14:56 Pacho Ramos
2018-03-10 14:56 Pacho Ramos
2017-09-10 13:13 Manuel Rüger
2017-04-28 16:30 Manuel Rüger
2017-04-15 22:32 Manuel Rüger
2017-03-13 18:21 Manuel Rüger
2016-11-29 22:57 Patrice Clement
2016-11-29 22:57 Patrice Clement
2015-11-12 23:18 Manuel Rüger

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1594624560.d8b385de7b770d2ddbece439b49ddfa344676e71.juippis@gentoo \
    --to=juippis@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox